#include <stdint.h>

void outb(uint16 port, uint8 value)
{
	asm volatile ("outb %1, %0" : : "dN" (port), "a" (value));
}

uint8 inb(uint16 port)
{
	uint8 returnValue;
	
	asm volatile("inb %1, %0" : "=a" (returnValue) : "dN" (port));
	return returnValue;
}

uint16 inw(uint16 port)
{
	uint16 returnValue;
	
	asm volatile ("inw %1, %0" : "=a" (returnValue) : "dN" (port));
	return returnValue;
}