OUTPUT_FORMAT(elf32-i386)

ENTRY (loader)

SECTIONS
{

    ._mb_header :
    {
	*(._mb_header)
    }

    .text 0x100000:
    {
        code = .; _code = .; __code = .;
        *(.text)
        . = ALIGN(4096);
    }

    .data :
    {
        start_ctors = .;
        *(.ctors)
        end_ctors = .;
        start_dtors = .;
	*(.dtor*)
	end_dtors = .;
        data = .; _data = .; __data = .;
        *(.data)
        *(.rodata)
        . = ALIGN(4096);
    }

    .bss :
    {
        bss = .; _bss = .; __bss = .;
        *(.bss)
        . = ALIGN(4096);
    }

    end = .; _end = .; __end = .;
}